Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.domino
Class DeliveryReportLevel

    java.lang.Object
      com.compoze.domino.DeliveryReportLevel

All Implemented Interfaces:
  java.io.Serializable

public class DeliveryReportLevel
extends java.lang.Object
implements java.io.Serializable

This class implements a delivery report level. The report level indicates the level of information you would like about the delivery of a memo.

See Also:
  Serialized Form

Field Summary
`static DeliveryReportLevel` | `CONFIRM` This value represents the 'confirm delivery' level.
`static DeliveryReportLevel` | `FAILURE` This value represents the 'only on failure' level.
`static DeliveryReportLevel` | `NONE` This value represents the 'none' level.
`static DeliveryReportLevel` | `TRACE` This value represents the 'trace entire path' level.

Method Summary
`boolean` | `equals(java.lang.Object o)` Indicates whether some other `DeliveryReportLevel` object is "equal to" this one.
`static DeliveryReportLevel` | `get(int iValue)` Gets the level by enumeration value.
`java.lang.String` | `getLevel()` Gets the delivery report level.
`static java.util.List` | `getList()` Gets the list of levels.
`java.lang.String` | `getName()` Gets the name of the level.
`java.lang.String` | `getName(java.util.Locale locale)` Gets the name of the level.
`java.lang.Object` | `getStoreValueObject()` Gets the store value as an object.
`int` | `getValue()` Gets the enumeration value of the document type.
`java.lang.String` | `toString()` Returns the string representation of the object.
`java.lang.String` | `toString(java.util.Locale locale)` Returns the string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FAILURE

    public static final DeliveryReportLevel FAILURE

  This value represents the 'only on failure' level.

### CONFIRM

    public static final DeliveryReportLevel CONFIRM

  This value represents the 'confirm delivery' level.

### TRACE

    public static final DeliveryReportLevel TRACE

  This value represents the 'trace entire path' level.

### NONE

    public static final DeliveryReportLevel NONE

  This value represents the 'none' level.

Method Detail

### getLevel

    public java.lang.String getLevel()

  Gets the delivery report level.

  Returns:
    the property of the level

### getStoreValueObject

    public java.lang.Object getStoreValueObject()

  Gets the store value as an object.

  Returns:
    the store value

### getValue

    public int getValue()

  Gets the enumeration value of the document type. This value is unique within the `DeliveryReportLevel` class.

  Returns:
    the enumeration value of the document type (see `VALUE_` constants)

### getName

    public java.lang.String getName()

  Gets the name of the level.

  Returns:
    the name of the level

### getName

    public java.lang.String getName(java.util.Locale locale)

  Gets the name of the level.

  Parameters:
    `locale` - the locale
  Returns:
    the name of the level

### get

    public static DeliveryReportLevel get(int iValue)

  Gets the level by enumeration value.

  Parameters:
    `iValue` - the value of the level (see `VALUE_`)
  Returns:
    the matching level or `null` if not found

### getList

    public static java.util.List getList()

  Gets the list of levels.

  Returns:
    an unmodifiable list of `DeliveryReportLevel` objects

### equals

    public boolean equals(java.lang.Object o)

  Indicates whether some other `DeliveryReportLevel` object is "equal to" this one.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise

### toString

    public java.lang.String toString()

  Returns the string representation of the object.

  Returns:
    the string representation of the object

### toString

    public java.lang.String toString(java.util.Locale locale)

  Returns the string representation of the object.

  Parameters:
    `locale` - the locale
  Returns:
    the string representation of the object

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.